pwd = $(shell pwd)

.PHONY: all
all: dotfiles

# dotfiles
.PHONY: dotfiles
dotfiles: ~/.gitconfig ~/.gitignore ~/.config/zsh ~/.config/nvim ~/.zshrc

~/.gitconfig:
	ln -s $(pwd)/git/config ~/.gitconfig || true
~/.gitignore:
	ln -s $(pwd)/git/ignore ~/.gitignore || true
~/.config/nvim:
	ln -s $(pwd)/nvim ~/.config/nvim || true
~/.config/zsh:
	ln -s $(pwd)/zsh ~/.config/zsh || true
~/.zshrc:
	@ln -s $(pwd)/zsh/zshrc ~/.zshrc || true

